## haskell-concurrent-extra 0.7.0.12

=== debian/changelog ===
haskell-concurrent-extra (0.7.0.12-4) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 03 Oct 2024 10:17:13 +0300

haskell-concurrent-extra (0.7.0.12-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 07 Sep 2023 20:23:18 +0300

haskell-concurrent-extra (0.7.0.12-2) unstable; urgency=medium

  * Post-NEW upload

 -- Scott Talbert <swt@techie.net>  Sat, 30 Jul 2022 10:12:15 -0400

haskell-concurrent-extra (0.7.0.12-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Thu, 28 Jul 2022 15:20:38 -0400
